#!/bin/bash

# Read wp-config.php once and extract required values using awk
read WPDBPHOST WPDBNAME WPDBUSER WPDBPASS <<< $(awk -F"'" '
    /DB_HOST/ {host=$4}
    /DB_NAME/ {name=$4}
    /DB_USER/ {user=$4}
    /DB_PASSWORD/ {pass=$4}
    END {print host, name, user, pass}
' ../ROOT/wp-config.php)

keywordSearch=$1
keywordreplace=$2

php srdb.cli.php -h "$WPDBPHOST" -n "$WPDBNAME" -u "$WPDBUSER" -p "$WPDBPASS" -s "$keywordSearch" -r "$keywordreplace"